﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using Mint.MintChip.Api;
using Mint.MintChip.Contract;

namespace MintXCore
{
    public class LocalChipHandler : ChipHandler
    {
        public LocalChipHandler()
        {
        }

        public override bool Initialize(System.Configuration.Configuration conf)
        {
            config = conf;
            if ((mintChip != null) && (status != null))
                return true;
            try
            {
                mintChip = MintChipFactory.Instance.CreateMintChip();
                status = mintChip.GetStatus();
            }
            catch (MintChipException)
            {
                mintChip = null;
                status = null;
                // Console.WriteLine("Could not load MintChip: " + e.Message);
                return false;
            }
            return true;
        }

        public static void RequestStatus()
        {
        }

        public static void GetLocalStatus()
        {
        }
    }
}
